org.jboss.resteasy.plugins.spring

## Class OptionalValueBeanFactory

- java.lang.Object
- - org.jboss.resteasy.plugins.spring.OptionalValueBeanFactory

- All Implemented Interfaces:
    org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.FactoryBean<Object>

      public class OptionalValueBeanFactory
      extends Object
      implements org.springframework.beans.factory.FactoryBean<Object>, org.springframework.beans.factory.BeanFactoryAware

  This resovles optional
  Version:
    $Revision: 1 $
  Author:
    Solomon Duskis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionalValueBeanFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBeanName()`
    `Class<?>` | `getClazz()`
    `Object` | `getObject()`
    `Class<?>` | `getObjectType()`
    `boolean` | `isSingleton()`
    `void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`
    `void` | `setBeanName(String beanName)`
    `void` | `setClazz(Class<?> clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OptionalValueBeanFactory

          public OptionalValueBeanFactory()

  - ### Method Detail

    - #### getBeanName

          public String getBeanName()

    - #### setBeanName

          public void setBeanName(String beanName)

    - #### getClazz

          public Class<?> getClazz()

    - #### setClazz

          public void setClazz(Class<?> clazz)

    - #### getObject

          public Object getObject()
                           throws Exception

      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<Object>`
      Throws:
        `Exception`

    - #### getObjectType

          public Class<?> getObjectType()

      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<Object>`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<Object>`

    - #### setBeanFactory

          public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                              throws org.springframework.beans.BeansException

      Specified by:
        `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
      Throws:
        `org.springframework.beans.BeansException`

Copyright © 2014. All Rights Reserved.